emscripten_1.22.1-1_amd64.deb


Advertisement

Description

emscripten - LLVM-to-JavaScript Compiler

Distribution: Debian Sid
Repository: Debian Main amd64
Package name: emscripten
Package version: 1.22.1
Package release: 1
Package architecture: amd64
Package type: deb
Installed size: 91.89 KB
Download size: 21.12 MB
Official Mirror: ftp.br.debian.org
Description: unavailable.

Alternatives

    Download

    Source package: emscripten

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install emscripten deb package:
      # sudo apt-get install emscripten

    Changelog

    2014-07-04 - Sylvestre Ledru <sylvestre@debian.org> emscripten (1.22.1-1) unstable; urgency=medium * New upstream release (Closes: #748923) * Upstream uses now tag. Use them instead of a repack script * Update the clang version dependency from clang-X.Y to clang now they are co instalable (Closes: #748840) * Disable fastcomp. We don't want to manage a fork of llvm in emscripten and not sure we want to add this patch in llvm itself (yet). * Add missing sources (Closes: #753956) * Use node-uglify package (Closes: #753883) * Fix vcs-field-not-canonical

    2014-02-05 - Sylvestre Ledru <sylvestre@debian.org> emscripten (1.10.0~20140205~ef1e460-1) unstable; urgency=medium * New snapshot release * Also install cmake / emscripten files. Thanks to Daniele Di Proietto for the patch

    2014-01-19 - Sylvestre Ledru <sylvestre@debian.org> emscripten (1.9.0~20140119~7dc8c2f-1) unstable; urgency=low * New snapshot release (Closes: #733714) * Provide sources for javascript and flash. Done in orig-tar.sh Available in third_party/websockify/include/web-socket-js/src/ (Closes: #735903)

    2013-12-16 - Sylvestre Ledru <sylvestre@debian.org> emscripten (1.7.8~20131216~1a007b1-1) unstable; urgency=low * New snapshot release * demos/ is removed upstream. Doing the same in the package * remove some extra-license-file * Silent unusual-interpreter & python-script-but-no-python-dep * Standards-Version updated to 3.9.5

    2013-09-20 - Sylvestre Ledru <sylvestre@debian.org> emscripten (1.5.6~20130920~6010666-1) unstable; urgency=low * New snapshot release * Update the list of supported architectures to the same as libv8 (Closes: #723129) * emlibtool has been removed from upstream. * Fix warning syntax-error-in-dep5-copyright * Refresh of the patches

    2013-06-20 - Sylvestre Ledru <sylvestre@debian.org> emscripten (1.4.9~20130620~0ad8724-1) unstable; urgency=low * New snapshot release * Depends against the "llvm" package. This package will provide llvm-dis needed by emscripten. Thanks to Sam Hocevar for finding the reason. * Fix the debhelper-but-no-misc-depends warning on emscripten-doc * Override warning "unusual-interpreter" with nodejs

    2013-06-11 - Sylvestre Ledru <sylvestre@debian.org> emscripten (1.4.7~20130611~a1eb425-1) unstable; urgency=low * New snapshot release * Upload to unstable

    2013-06-06 - Sylvestre Ledru <sylvestre@debian.org> emscripten (1.4.7~20130606~98ba795-1) experimental; urgency=low * New upstream release * Update the dependencies (clang 3.2, 3.3 & 3.4) * Also install emscons * Remove the empty README.Debian * Fix some warnings "extra-license-file" * Fix the warning manpage-has-useless-whatis-entry for emcc and em++ * Remove some lintian overrides (I fixed them upstream) * Silent the warnings "package-contains-devhelp-file-without-symlink" * Fix some warning "unusual-interpreter" by using directly /usr/bin/nodejs * Generate the manpages on the fly thanks to help2man

    2013-05-02 - Sylvestre Ledru <sylvestre@debian.org> emscripten (1.4.1~20130504~adb56cb-1) unstable; urgency=low * Initial release (Closes: #704906)

    Advertisement
    Advertisement